/**
 * Test case for setup.
 * Runs with mocha.
 */
"use strict";

const setup = require('../lib/setup.js'),
    coz = require('coz'),
    path = require('path'),
    assert = require('assert');


describe('setup', () => {

    let tmpDir = `${__dirname}/../tmp`;

    before((done) => {
        done();
    });

    after((done) => {
        done();
    });


    it('Setup', (done) => {
        let bud = setup('foo').map((bud) => {
            bud.path = path.join(tmpDir, bud.path);
            return bud;
        });
        assert.ok(bud);
        coz.render(bud, (err)=> {
            assert.ifError(err);
            done();
        });
    });
});

